#include "vision.h"
#include<bits/stdc++.h>
using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1,2,1,1,2,2};
}

int getMove1d(std::vector<int> v)
{
    if(v.size() == 3) {
        if(v[0] == 2) {
            return 0;
        }
        else {
            return 2;
        }
    }
    else {
        if(v[1] == 2 || v[3] == 2) {
            int br = 0;
            if(v[0] == 2 || v[4] == 2) {
                if(v[0] == 2) {
                    return 0;
                }
                else {
                    return 4;
                }
            }
            else {
                if(v[1] == 2) {
                    return 1;
                }
                else {
                    return 3;
                }
            }
        }
        else {
            if(v[0] == 1) {
                return 0;
            }
            else {
                return 4;
            }
        }
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
